Package org.codehaus.janino

# Class Java.CatchClause

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.CatchClause

All Implemented Interfaces:
  `Java.Locatable`, `Java.Scope`

Enclosing class:
  `Java`

public static class Java.CatchClause extends Java.Located implements Java.Scope
Representation of a JLS7 14.20.1 CATCH clause.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.BlockStatement`
`body`
Body of the CATCH clause.
`final Java.CatchParameter`
`catchParameter`
Container for the types and the name of the caught exception.
`boolean`
`reachable`
Flag for catch clause reachability analysis.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`CatchClause(Location location, Java.CatchParameter catchParameter, Java.BlockStatement body)`

## Method Summary

Modifier and Type
Method
Description
`Java.Scope`
`getEnclosingScope()`
`void`
`setEnclosingTryStatement(Java.TryStatement enclosingTryStatement)`
Links this CATCH clause to the enclosing TRY statement.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### catchParameter

public final Java.CatchParameter catchParameter
Container for the types and the name of the caught exception.

### body

public final Java.BlockStatement body
Body of the CATCH clause.

### reachable

public boolean reachable
Flag for catch clause reachability analysis.

## Constructor Details

### CatchClause

public CatchClause(Location location, Java.CatchParameter catchParameter, Java.BlockStatement body)

## Method Details

### setEnclosingTryStatement

public void setEnclosingTryStatement(Java.TryStatement enclosingTryStatement)
Links this CATCH clause to the enclosing TRY statement.

### getEnclosingScope

public Java.Scope getEnclosingScope()

Specified by:
  `getEnclosingScope` in interface `Java.Scope`
Returns:
  The scope that encloses this scope, or `null`

### toString

public String toString()

Overrides:
  `toString` in class `Object`